/*
 --------------------------------------------------------------------------
 ITU-T G.720.1 Source Code
 Software Release 1.1a (2010-10)
 (C) 2009 Huawei Technologies Co., LTD. 
 --------------------------------------------------------------------------
*/

#ifndef SMD_H
#define SMD_H
#include "typedef_fx.h"

#ifndef GVAD
typedef struct
{
	Word16 SigFpwold_fx[FLUX_F2_fx];
	Word16 SigFpwold2_fx[FLUX_F2_fx];
	Word16 SigFpwold3_fx[FLUX_F2_fx];
	Word16 Prev_fft_exp_fx[4];
	Word16 fft_exp_min_ptr;
    Word16 flux_buf_fx[FLUXBUFSIZ_fx];
    Word16 mov_flux_fx;
	Word16 flux_vad_count_fx;
	Word16 flux_step_fx;
	Word16 var_flux_buf_fx[SMD_HIST_BUF_SIZE_fx];	
	Word32 mov_hp2_fx; 
    Word32 mov_hp3_fx; 
	Word16 last_smd_raw_fx;
	Word16 last_smd_out_fx;
	Word16 count_first_snr_vad_fx;
	Word32 L_frame_cnt_fx;
	Word32 mssnr_max_fx; 
	Word16 diff_hist_sumt_fx; 
	Word16 mssnr_buff_fx[SNR_SUMT_BUFF_SIZE_fx]; 
	Word32 mssnr_hist_decision_fx[16];
	Word16 mssnr_high_count_fx;
	Word16 mssnr_high_seg_count_fx;
	Word16 prev_high_level_seg_detect_fx;
	Word16 high_level_falling_edge_fx;
	Word16 falling_edge_cnt_fx;
	Word16 speech_reset_cnt_fx;
	Word16 N_high_200_fx;
	Word16 N_low_200_fx;
}
smdState_fx;

Word16 smd_init_fx(smdState_fx **st_fx, Word16 nb);
Word16 smd_reset_fx(smdState_fx *st_fx, Word16 nb);
void smd_exit_fx(void **st_fx);
Word16 smd_core_fx(smdState_fx *st_fx, Word16 mssnr_fx, Word16 snr_vad, Word16 vad_flg, Word16 op, Word16 nb);
Word16 smd_fx(smdState_fx *st_fx, Word16 *SigFpw_fx, Word16 fft_exp_fx, Word16 vad_flg, Word16 mssnr_fx , Word16 op, Word16 nb);
Word16 sid_fx(vadState_fx *st_fx);
Word16 sad_output(Word16 vad_flg, Word16 smd_flag, Word16 sid_flag);
#endif //#ifndef GVAD

#endif

