/*
  ===========================================================================
   File: STL.H                                           v.2.1 - March 2006
  ===========================================================================

            ITU-T STL  BASIC OPERATORS

            MAIN      HEADER      FILE

   History:
   07 Nov 04   v2.0     Incorporation of new 32-bit / 40-bit / control
                        operators for the ITU-T Standard Tool Library as 
                        described in Geneva, 20-30 January 2004 WP 3/16 Q10/16
                        TD 11 document and subsequent discussions on the
                        wp3audio@yahoogroups.com email reflector.
   March 06   v2.1      Changed to improve portability.                        

  ============================================================================
*/


#ifndef _STL_H
#define _STL_H

#include "patch_fx.h"
#include "typedef_fx.h"
#include "basop32_fx.h" 
#include "count_fx.h"
#include "move_fx.h"
#include "control_fx.h"
#include "enh1632_fx.h" 
#include "enh40_fx.h"

#endif /* ifndef _STL_H */


/* end of file */
